TOKEN_TRANSFER
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Conditions
When eventType is set to TOKEN_TRANSFER, the available condition object fields are as follows.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
tokens | Array of object | true | Objects describing the tokens whose transfer events you want to monitor | |
tokens[i].contractAddress | String | true | Contract address of the ERC20, ERC721, or ERC1155 token to monitor | ["0xdac17f958d2ee523a2206206994597c13d831ec7", |
tokens[i].tokenId | String | false | Token ID when you want to monitor only transfers of a specific token for that ERC721 or ERC1155 contract | "100" |
Response Example
📍 Type: ERC20
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5084
subscription Event : subscriptionId: 5084,
eventType: TOKEN_TRANSFER,
event: {
"targetAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7", , // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0xdac17f958d2ee523a2206206994597c13d831ec7"
],
"messages": [
{
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from_address": "0x875a01980d993e7dca8f149205c9d8d0f7799af4",
"to_address": "0x77edae6a5f332605720688c7fda7476476e8f83f",
"value": "300000000",
"transaction_hash": "0x7788a25f8dbb20837e55bbddabd7c40fa9b03a657c06e2dfba83f3b64536dfa4",
"log_index": 23,
"block_number": 21570538,
"block_timestamp": 1736228123,
"type": "erc20"
}
]
}
📍 Type: ERC721
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5084
subscription Event : subscriptionId: 5084,
eventType: TOKEN_TRANSFER,
event: {
"targetAddress": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8", , // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0xbd3531da5cf5857e7cfaa92426877b022e612cf8"
],
"messages": [
{
"block_number": 21570577,
"block_timestamp": 1736228591,
"from_address": "0x7ff9ff105574a25b88c2a57ca0303f5aea55e98d",
"log_index": 221,
"to_address": "0xd6c701b895d2b93f34f1e365c30314590c02b2b3",
"token_address": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8",
"token_id": "2633",
"transaction_hash": "0x8877c7311cba7965169bb5a1003897028cfe3ebfc4777575a5221989bd13d445",
"type": "erc721"
}
]
}
📍 Type: ERC1155
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5084
subscription Event : subscriptionId: 5084,
eventType: TOKEN_TRANSFER,
event: {
"targetAddress": "0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401", , // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401"
],
"messages": [
{
"token_address": "0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401",
"from_address": "0x0000000000000000000000000000000000000000",
"to_address": "0x7628008ec0cffc49663e99b3b81026a31a4e56fc",
"value": "1",
"token_id": "96043770593759298319042380490414687847756372775697807151726318973060518522837",
"operator": "0x253553366da8546fc250f225fe3d25d0c782303b",
"transaction_hash": "0x9bc868ca5bf0b85cdd2e868544000e4e61f0f33d41225324c6f2fdb1432e22da",
"log_index": 322,
"batch_index": 0,
"block_number": 21570567,
"block_timestamp": 1736228471,
"type": "erc1155"
}
]
}